# Generated from paperclip-google-drive-0.3.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name paperclip-google-drive

Name: rubygem-%{gem_name}
Version: 0.3.3
Release: 1%{?dist}
Summary: Extends Paperclip with Google Drive storage
License: MIT
URL: https://github.com/degzcs/paperclip-googledrive
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(vcr) >= 3
# BuildRequires: rubygem(vcr) < 4
# BuildRequires: rubygem(webmock) >= 2.1
# BuildRequires: rubygem(webmock) < 3
# BuildRequires: rubygem(jazz_fingers) >= 4
# BuildRequires: rubygem(jazz_fingers) < 5
# BuildRequires: rubygem(activerecord) >= 4.2
# BuildRequires: rubygem(activerecord) < 5
# BuildRequires: rubygem(activerecord) >= 4.2.0
# BuildRequires: rubygem(sqlite3) >= 1.3
# BuildRequires: rubygem(sqlite3) < 2
# BuildRequires: rubygem(sqlite3) >= 1.3.12
# BuildRequires: rubygem(railties) >= 4.2
# BuildRequires: rubygem(railties) < 5
# BuildRequires: rubygem(railties) >= 4.2.0
BuildArch: noarch

%description
paperclip-google-drive extends paperclip support of storage for google drive
storage.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/setup
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/paperclip-google-drive.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.3.3-1
- Initial package
